Bug 1026723 - remove the use of health servlet
remove the use of health servlet
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: ---
: 3.5.0
Assigned To: Simone Tiraboschi
Tareq Alayan
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:00 EST by Alon Bar-Lev
Modified: 2014-10-17 08:23 EDT (History)
9 users (show)

See Also:
Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1027210 (view as bug list)
Environment:
Last Closed: 2014-10-17 08:23:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26090 None None None Never

  None (edit)
Description Alon Bar-Lev 2013-11-05 05:00:06 EST
The health servlet is a legacy interface that IMO should not be used at all,
marked obsolete and removed as soon as we can.

Please make the notification service use the formal supported API to pull
engine status.

This applies to both setup and hosted.

Thanks!
Comment 1 Sandro Bonazzola 2013-11-06 04:24:11 EST
(In reply to Alon Bar-Lev from comment #0)
> Please make the notification service use the formal supported API to pull
> engine status.

 import ovirtsdk.api
 ovirtapi=ovirtsdk.api.API(
   url='https://sbonazzo.csb/api',
   username='admin@internal',
   password='****',
   ca_file='/etc/pki/ovirt-engine/ca.pem',
 )
 once connection is established (engine running), how may I know if DB is Up?
Comment 2 Alon Bar-Lev 2013-11-06 04:35:27 EST
our application is not initialized if database connection is down... or do you suggest otherwise...?

# systemctl stop ovirt-engine
# systemctl stop postgresql
# systemctl start ovirt-engine
# curl -v -k https://admin%40internal:engine@localhost/api
# systemctl start postgresql
# curl -v -k https://admin%40internal:engine@localhost/api

BTW: I do not see our application recovering from database down anyway...
Comment 3 Alon Bar-Lev 2014-04-02 08:45:02 EDT
Sandro,
Is there any real reason why do this for 3.4 if upstream already released?
Comment 4 Sandro Bonazzola 2014-04-02 09:40:26 EDT
(In reply to Alon Bar-Lev from comment #3)
> Sandro,
> Is there any real reason why do this for 3.4 if upstream already released?

No, it can be postponed to 3.5.0.
It doesn't solve any real issue, just avoiding to use features considered deprecated.
Comment 5 Tareq Alayan 2014-07-30 05:14:14 EDT
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
Comment 6 Sandro Bonazzola 2014-10-17 08:23:11 EDT
oVirt 3.5 has been released and should include the fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.